Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 223535 - stabilize kde-base/kopete-3.5.9 (was: fails to compile with jingle support (gcc4.3))
Summary: stabilize kde-base/kopete-3.5.9 (was: fails to compile with jingle support (g...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: STABLEREQ
: 228515 234967 (view as bug list)
Depends on:
Blocks: gcc-4.3-stable
  Show dependency tree
 
Reported: 2008-05-25 09:44 UTC by Michael Mair-Keimberger
Modified: 2009-04-09 20:15 UTC (History)
16 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (build.log,546.33 KB, text/plain)
2008-05-25 09:47 UTC, Michael Mair-Keimberger
Details
Patch to fix gcc-4.3 compile errors (kopete.patch,3.56 KB, patch)
2008-07-05 05:44 UTC, devsk
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Mair-Keimberger 2008-05-25 09:44:23 UTC
With gcc4.3 kopete will not compile with jingle support.
The same happens with kopete-3.5.8.

./../../talk/base/asyncsocket.h:81: warning: unused parameter 'socket'
./../../talk/base/asyncsocket.h:82: warning: unused parameter 'socket'
./../../talk/base/asyncsocket.h:83: warning: unused parameter 'socket'
./../../talk/base/asyncsocket.h:84: warning: unused parameter 'socket'
In file included from messagequeue.cc:31:
./../../talk/base/messagequeue.h: In constructor 'cricket::Message::Message()':
./../../talk/base/messagequeue.h:101: error: 'memset' was not declared in this scope
In file included from ./../../talk/base/socketfactory.h:32,
                 from ./../../talk/base/socketserver.h:31,
                 from ./../../talk/base/messagequeue.h:33,
                 from ./../../talk/base/thread.h:31,
                 from thread.cc:36:
./../../talk/base/asyncsocket.h:81: warning: unused parameter 'socket'
./../../talk/base/asyncsocket.h:82: warning: unused parameter 'socket'
./../../talk/base/asyncsocket.h:83: warning: unused parameter 'socket'
./../../talk/base/asyncsocket.h:84: warning: unused parameter 'socket'
In file included from ./../../talk/base/thread.h:31,
                 from thread.cc:36:
./../../talk/base/messagequeue.h: In constructor 'cricket::Message::Message()':
./../../talk/base/messagequeue.h:101: error: 'memset' was not declared in this scope
make[8]: *** [messagequeue.lo] Fehler 1
make[8]: *** Warte auf noch nicht beendete Prozesse...
make[8]: *** [thread.lo] Fehler 1
In file included from ./../../talk/base/physicalsocketserver.h:33,
                 from physicalsocketserver.cc:47:
./../../talk/base/criticalsection.h:43:5: warning: "CS_TRACK_OWNER" is not defined
In file included from ./../../talk/base/socketfactory.h:32,
                 from ./../../talk/base/socketserver.h:31,
                 from ./../../talk/base/physicalsocketserver.h:32,
                 from physicalsocketserver.cc:47:
./../../talk/base/asyncsocket.h:81: warning: unused parameter 'socket'
./../../talk/base/asyncsocket.h:82: warning: unused parameter 'socket'
./../../talk/base/asyncsocket.h:83: warning: unused parameter 'socket'
./../../talk/base/asyncsocket.h:84: warning: unused parameter 'socket'
physicalsocketserver.cc:212: warning: unused parameter 'opt'
physicalsocketserver.cc: In member function 'void cricket::PhysicalSocket::IP2SA(const cricket::SocketAddress*, sockaddr_in*)':
physicalsocketserver.cc:376: error: 'memset' was not declared in this scope
physicalsocketserver.cc: At global scope:
physicalsocketserver.cc:430: warning: unused parameter 'ff'
physicalsocketserver.cc:442: warning: unused parameter 'ff'
physicalsocketserver.cc:442: warning: unused parameter 'err'
physicalsocketserver.cc:491: warning: unused parameter 'ff'
physicalsocketserver.cc:536: warning: unused parameter 'ff'
physicalsocketserver.cc:756: warning: unused parameter 'ff'
physicalsocketserver.cc:756: warning: unused parameter 'err'
physicalsocketserver.cc: In member function 'void cricket::PhysicalSocketServer::Remove(cricket::Dispatcher*)':
physicalsocketserver.cc:815: error: cannot convert '__gnu_cxx::__normal_iterator<cricket::Dispatcher**, std::vector<cricket::Dispatcher*, std::allocator<cricket::Disp
atcher*> > >' to 'const char*' for argument '1' to 'int remove(const char*)'
make[8]: *** [physicalsocketserver.lo] Fehler 1
make[8]: Leaving directory `/var/tmp/portage/kde-base/kopete-3.5.9/work/kopete-3.5.9/kopete/protocols/jabber/jingle/libjingle/talk/base'
make[7]: *** [all-recursive] Fehler 1
make[7]: Leaving directory `/var/tmp/portage/kde-base/kopete-3.5.9/work/kopete-3.5.9/kopete/protocols/jabber/jingle/libjingle/talk'
make[6]: *** [all-recursive] Fehler 1
make[6]: Leaving directory `/var/tmp/portage/kde-base/kopete-3.5.9/work/kopete-3.5.9/kopete/protocols/jabber/jingle/libjingle'
make[5]: *** [all-recursive] Fehler 1
make[5]: Leaving directory `/var/tmp/portage/kde-base/kopete-3.5.9/work/kopete-3.5.9/kopete/protocols/jabber/jingle'
make[4]: *** [all-recursive] Fehler 1
make[4]: Leaving directory `/var/tmp/portage/kde-base/kopete-3.5.9/work/kopete-3.5.9/kopete/protocols/jabber'
make[3]: *** [all-recursive] Fehler 1
make[3]: Leaving directory `/var/tmp/portage/kde-base/kopete-3.5.9/work/kopete-3.5.9/kopete/protocols'
make[2]: *** [all-recursive] Fehler 1
make[2]: Leaving directory `/var/tmp/portage/kde-base/kopete-3.5.9/work/kopete-3.5.9/kopete'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/var/tmp/portage/kde-base/kopete-3.5.9/work/kopete-3.5.9'
make: *** [all] Fehler 2


Reproducible: Always

Steps to Reproduce:
1. USE="jingle" emerge -av kopete
2. 
3.

Actual Results:  
Kopete compile crashed.


compile works fine without jingle support

emerge --info:
Portage 2.1.4.4 (default-linux/x86/2007.0, gcc-4.3.0, glibc-2.6.1-r0, 2.6.24-gentoo-r8 i686)
=================================================================
System uname: 2.6.24-gentoo-r8 i686 Intel(R) Core(TM)2 CPU 6600 @ 2.40GHz
Timestamp of tree: Sat, 24 May 2008 20:35:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r9
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.4-r1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=core2 -pipe -msse3"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=core2 -pipe -msse3"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="de_DE.UTF-8:de_DE@euro"
LC_ALL="de_DE.UTF-8"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/maggu2810_overlay /usr/portage/local/local-overlay"
SYNC="rsync://tunafix/gentoo-portage"
USE="X acl alsa berkdb cdr cli cracklib crypt cups dbus dri dvd dvdr exif firefox fortran gdbm gpm hal iconv ipv6 isdnlog jpeg kde mad midi mmx mmxext mp3 mudflap ncurses nls nptl nptlonly opengl openmp pam pcre perl pppd python qt3 qt4 readline reflection session spl sse sse2 ssl ssse3 tcpd unicode x86 xcomposite xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="fglrx"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Michael Mair-Keimberger 2008-05-25 09:47:33 UTC
Created attachment 154233 [details]
build log
Comment 2 Ingmar Vanhassel (RETIRED) gentoo-dev 2008-06-03 17:38:10 UTC
*** Bug 224777 has been marked as a duplicate of this bug. ***
Comment 3 Matt 2008-06-20 12:21:24 UTC
*** Bug 228515 has been marked as a duplicate of this bug. ***
Comment 4 devsk 2008-07-05 05:44:30 UTC
Created attachment 159593 [details, diff]
Patch to fix gcc-4.3 compile errors

It compiles with 'jingles'. But the gtalk still doesn't work. Is 'arts' use flag required for voice chat to work in kopete? Doesn't it use alsa? kdelibs is built with '-arts alsa' and I have no "Sound System" in "Control Center". What do I need to do? Does anybody know?
Comment 5 Carsten Lohrke (RETIRED) gentoo-dev 2008-08-25 23:34:33 UTC
*** Bug 234967 has been marked as a duplicate of this bug. ***
Comment 6 Rolando J. Zappacosta 2008-09-15 19:32:20 UTC
(In reply to comment #4)
> Created an attachment (id=159593) [edit]
> Patch to fix gcc-4.3 compile errors

  Based on this patch I created an ebuild for kopete 3.5.10 that worked fine for me. Just downloaded the patch as /usr/portage/kde-base/kopete/files/kopete-gcc4_3.patch and added this line to the "src_unpack()" function of the original /usr/portage/kde-base/kopete/kopete-3.5.10.ebuild file:
epatch "${FILESDIR}/kopete-gcc4_3.patch

  For others reference, these are my use flags for it:
kde-base/kopete-3.5.10  USE="connectionstatus crypt history jingle netmeeting ssl statistics yahoo -addbookmarks -alias -autoreplace -contactnotes -debug -gadu -groupwise -highlight -irc -kdehiddenvisibility -latex -nowlistening -sametime -slp -sms -texteffect -translator -webpresence -winpopup -xscreensaver"
Comment 7 Ole Langbehn 2008-09-15 21:18:01 UTC
the procedure described in comment #6 let me successfully build kopete-3.5.10 with jingle use flag. Without the patch it didn't build.
Comment 8 gapon 2008-09-16 11:43:34 UTC
kde-base/kopete-3.5.10 failed for me as well.
Comment 9 Ryan Hill (RETIRED) gentoo-dev 2008-09-30 03:10:47 UTC
Fixed.  Thanks for the patch.
Comment 10 Christian Faulhammer (RETIRED) gentoo-dev 2008-11-04 18:21:53 UTC
Reopen because 3.5.9 is still affected and I don't think that KDE 3.5.10 can be stabled soon.  If you do it, please make it block 245160
Comment 11 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-06 21:15:30 UTC
Summary says "stabilize kde-base/kopete-3.5.9" - it is stable. Since I can't understand what needs to happen on this bug..it is closed for now.
Comment 12 Andrei Slavoiu 2009-04-08 11:36:39 UTC
gcc-4.3.2-r3 has been marked stable, this bug should really be reopened and fixed properly.
Comment 13 Ryan Hill (RETIRED) gentoo-dev 2009-04-09 18:37:24 UTC
what's still broken?
Comment 14 Mike Nerone 2009-04-09 19:13:58 UTC
kde-base/kopete-3.5.9 can't compile with sys-devel/gcc-4.3.2-r3 (both currently stable) with the jingle USE flag. Same error as originally stated in this bug.
Comment 15 Mike Nerone 2009-04-09 19:17:25 UTC
BTW, diretyepic's change to the summary, changing it to basically "stabilize kopete 3.5.9", on 23-12-2009 mischaracterizes this bug. It should be changed back to "kde-base/kopete-3.5.9 fails to compile with jingle support (gcc4.3)" as it was originally.
Comment 16 Ryan Hill (RETIRED) gentoo-dev 2009-04-09 20:15:04 UTC
i think i just forgot to patch 3.5.9.
fixed.